Search for _array

  1. Search 7.x for _array
  2. Search 9.5.x for _array
  3. Search 8.9.x for _array
  4. Search 11.x for _array
  5. Search main for _array
  6. Other projects
Title Object type File name Summary
PhpArrayDumperTest.php file core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php
PhpArrayDumperTest::getCollection function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to return a machine-optimized collection.
PhpArrayDumperTest::getParameterCall function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to return a parameter definition.
PhpArrayDumperTest::getServiceCall function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to return a service definition.
PhpArrayDumperTest::serializeDefinition function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to serialize a definition.
PhpArrayDumperTest::setUp function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php
PlaceholdersTest::callbackNonArrayReturn function core/tests/Drupal/Tests/Core/Render/RendererTestBase.php A lazy builder callback that returns an invalid renderable.
PoItem::setFromArray function core/lib/Drupal/Component/Gettext/PoItem.php Create the PoItem from a structured array.
PoStreamReader::setItemFromArray function core/lib/Drupal/Component/Gettext/PoStreamReader.php Store the parsed values as a PoItem object.
ProjectRelease::createFromArray function core/modules/update/src/ProjectRelease.php Creates a ProjectRelease instance from an array.
ProjectReleaseTest::providerCreateFromArray function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Data provider for testCreateFromArray().
ProjectReleaseTest::providerCreateFromArrayInvalidField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Data provider for testCreateFromArrayInvalidField().
ProjectReleaseTest::providerCreateFromArrayMissingField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Data provider for testCreateFromArrayMissingField().
ProjectReleaseTest::testCreateFromArray function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Tests creating with valid data.
ProjectReleaseTest::testCreateFromArrayInvalidField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Tests exceptions for invalid field types.
ProjectReleaseTest::testCreateFromArrayMissingField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Tests exceptions with missing fields.
QueryTest::testArrayArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via database query array arguments.
QueryTest::testArraySubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests that we can pass an array of values directly in the query.
RearrangeFilter::arrayKeyPlus function core/modules/views_ui/src/Form/Ajax/RearrangeFilter.php Adds one to each key of an array.
RecipeConfigStorageWrapper::createStorageFromArray function core/lib/Drupal/Core/Recipe/RecipeConfigStorageWrapper.php Creates a single config storage for an array of storages.
RedirectDestination::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestination.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationInterface::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTest::testGetAsArray function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php @dataProvider providerGet
RedirectDestinationTrait::getDestinationArray function core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RenderArrayNonHtmlSubscriber class core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php Throws 406 if requesting non-HTML format and controller returns render array.
RenderArrayNonHtmlSubscriber.php file core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php
RenderArrayNonHtmlSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php
RenderArrayNonHtmlSubscriber::onRespond function core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php Throws an HTTP 406 error if client requested a non-HTML format.
RenderArrayNonHtmlSubscriberTest class core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php Functional test verifying that render array throws 406 for non-HTML requests.
RenderArrayNonHtmlSubscriberTest.php file core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php
RenderArrayNonHtmlSubscriberTest::$defaultTheme property core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php The theme to install as the default for testing.
RenderArrayNonHtmlSubscriberTest::$modules property core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php Modules to install.
RenderArrayNonHtmlSubscriberTest::testResponses function core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php Tests handling of responses by events subscriber.
RenderArrayNonHtmlSubscriberTestController class core/modules/system/tests/modules/render_array_non_html_subscriber_test/src/RenderArrayNonHtmlSubscriberTestController.php
RenderArrayNonHtmlSubscriberTestController.php file core/modules/system/tests/modules/render_array_non_html_subscriber_test/src/RenderArrayNonHtmlSubscriberTestController.php
RenderArrayNonHtmlSubscriberTestController::rawString function core/modules/system/tests/modules/render_array_non_html_subscriber_test/src/RenderArrayNonHtmlSubscriberTestController.php
RenderArrayNonHtmlSubscriberTestController::renderArray function core/modules/system/tests/modules/render_array_non_html_subscriber_test/src/RenderArrayNonHtmlSubscriberTestController.php
RenderCache::getCacheableRenderArray function core/lib/Drupal/Core/Render/RenderCache.php Gets a cacheable render array for a render array and its rendered output.
RenderCacheInterface::getCacheableRenderArray function core/lib/Drupal/Core/Render/RenderCacheInterface.php Gets a cacheable render array for a render array and its rendered output.
RendererPlaceholdersTest::testNonArrayReturnFromLazyBuilder function core/tests/Drupal/Tests/Core/Render/RendererPlaceholdersTest.php Tests that an error is thrown if a lazy builder doesn't return an array.
render_array_non_html_subscriber_test.info.yml file core/modules/system/tests/modules/render_array_non_html_subscriber_test/render_array_non_html_subscriber_test.info.yml core/modules/system/tests/modules/render_array_non_html_subscriber_test/render_array_non_html_subscriber_test.info.yml
render_array_non_html_subscriber_test.routing.yml file core/modules/system/tests/modules/render_array_non_html_subscriber_test/render_array_non_html_subscriber_test.routing.yml core/modules/system/tests/modules/render_array_non_html_subscriber_test/render_array_non_html_subscriber_test.routing.yml
Section::fromArray function core/modules/layout_builder/src/Section.php Creates an object from an array representation of the section.
Section::toArray function core/modules/layout_builder/src/Section.php Returns an array representation of the section.
Section::toRenderArray function core/modules/layout_builder/src/Section.php Returns the renderable array for this section.
SectionComponent::fromArray function core/modules/layout_builder/src/SectionComponent.php Creates an object from an array representation of the section component.
SectionComponent::toArray function core/modules/layout_builder/src/SectionComponent.php Returns an array representation of the section component.
SectionComponent::toRenderArray function core/modules/layout_builder/src/SectionComponent.php Returns the renderable array for this component.
SectionComponentBuildRenderArrayEvent class core/modules/layout_builder/src/Event/SectionComponentBuildRenderArrayEvent.php Event fired when a section component's render array is being built.
SectionComponentBuildRenderArrayEvent.php file core/modules/layout_builder/src/Event/SectionComponentBuildRenderArrayEvent.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.